.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  background-color: var(--color-white);
  transition: box-shadow 0.3s ease, background-color 0.3s ease;
}

.header._scrolled {
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05);
}

.header-top {
  position: relative;
  z-index: 20;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--color-white);
  padding: 1rem 0;
  transition: padding 0.35s ease-in-out;
  color: var(--color-grey-300);
}

.header._scrolled .header-top {
  padding: 0.5rem 0;
}

.header-top__item {
  position: relative;
  z-index: 1;
}

.header-top__item:nth-child(1) {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}

.logo-link {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
  text-decoration: none;
  opacity: 1;
  transition: opacity 0.3s ease;
}

.header._scrolled .logo-link__text {
  max-width: 0;
  margin-left: 0;
  opacity: 0;
  transform: translateX(-15px);
}

.header._scrolled .logo-link__label {
  transform: scale(0.85);
}

.header-bottom {
  position: relative;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--color-blue-200);
  color: var(--color-white);
}

.header-bottom::before {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%) scaleX(0);
  width: 100vw;
  height: 100%;
  background-color: var(--color-blue-200);
  transition: transform 0.35s ease-in-out;
  z-index: -1;
  transform-origin: center;
}

.header._scrolled .header-bottom::before {
  transform: translateX(-50%) scaleX(1);
}

.header-bottom__item {
  position: relative;
  width: 100%;
}

.header-bottom__item a {
  padding: 1.1rem 0;
  display: block;
  text-decoration: none;
  color: inherit;
  transition: background-color 0.3s ease;
}

@media (min-width: 1600px) {
  .header-top {
    font-size: 1.125rem;
  }
  .header-bottom {
    font-size: 1.2rem;
  }
  /* .header-bottom__item a {
    padding: 1.5rem 40px;
  } */
}

@media (min-width: 1200px) {
  .header-top {
    font-size: 1rem;
  }
  .header-top__item:nth-child(2) {
    display: flex;
    width: 100%;
    justify-content: flex-end;
  }
  .header-bottom {
    font-size: 1rem;
    font-weight: 500;
  }
}

@media (max-width: 1199px) {
  .header._scrolled {
    box-shadow:
      0 2px 4px rgba(0, 0, 0, 0.05),
      0 12px 32px rgba(0, 0, 0, 0.1);

    background-color: rgba(255, 255, 255, 0.98);
  }

  .header-top__item:nth-child(3) {
    max-width: 90%;
    width: 100%;
  }
  .header-bottom {
    display: none;
  }
}

@media (max-width: 899px) {
  .header-top {
    padding: 0.5rem 0;
  }
  .categories__container {
    padding: 0 !important;
  }
}

